# Skript zum Kurs "Bibliotheks- und Archivinformatik"

Dieses Skript entsteht in der Zeit von September bis Dezember 2020 im Rahmen der folgenden Lehrveranstaltung:

- Kurs "Bibliotheks- und Archivinformatik" (BAIN)
- Dozenten: [Felix Lohmeier](http://felixlohmeier.de), [Sebastian Meyer](https://twitter.com/_meyse_/)
- Herbstsemester 2020
- Lehrauftrag an der [FH Graubünden - Studiengang Information Science](https://www.fhgr.ch/studium/bachelorangebot/wirtschaft-und-dienstleistung/information-science/)
- Bachelor, 4 ECTS

## Gemeinsames Dokument

Für Notizen und zum Austausch verwenden wir ein gemeinsames Dokument in einer [CodiMD](https://github.com/codimd/server)-Installation [bei der GWDG](https://pad.gwdg.de/). Alle, die den Link kennen, können es bearbeiten. Zur Formatierung wird [Markdown](https://www.markdownguide.org/basic-syntax/) verwendet.

* [Gemeinsames Dokument](https://pad.gwdg.de/Tf-htntTR8COelT3Wgodzg?both)

## Inhalte

1. [Technische Grundlagen](01_technische-grundlagen.md) (10.09.2020)
   - Schaubild zu Lehrinhalten
   - Einrichtung der Arbeitsumgebung (Linux)
   - Grundlagen der Unix Shell
   - Versionskontrolle mit Git
   - Blog mit GitHub Pages
2. [Funktion und Aufbau von Bibliothekssystemen](02_funktion-und-aufbau-von-bibliothekssystemen.md) (25.09.2020 / 02.10.2020)
   - Metadatenstandards in Bibliotheken (MARC21)
   - Installation und Konfiguration von Koha
   - Marktüberblick Bibliothekssysteme
3. [Funktion und Aufbau von Archivsystemen](03_funktion-und-aufbau-von-archivsystemen.md) (09.10.2020)
   - Metadatenstandards in Archiven (ISAD(G) und EAD)
   - Installation und Konfiguration von ArchivesSpace
   - Marktüberblick Archivsysteme
4. [Repository-Software für Publikationen und Forschungsdaten](04_repository-software-fuer-publikationen-und-forschungsdaten.md) (16.10.2020)
   - Installation und Konfiguration von DSpace
   - Open Access und Open Data
   - Marktüberblick Repository-Software
5. [Metadaten modellieren und Schnittstellen nutzen](05_metadaten-modellieren-und-schnittstellen-nutzen.md) (30.10.2020 / 20.11.2020)
   - Transformation von Metadaten mit OpenRefine
   - XSLT Crosswalks mit MarcEdit
   - Austauschprotokolle für Metadaten (OAI-PMH, SRU)
   - Weitere Tools zur Metadatentransformation
   - Nutzung von JSON-APIs
6. [Suchmaschinen und Discovery-Systeme](06_suchmaschinen-und-discovery-systeme.md) (27.11.2020 / 11.12.2020)
   - Funktion von Suchmaschinen am Beispiel von Solr
   - Installation und Konfiguration von VuFind
   - Marktüberblick Discovery-Systeme
   - Schaubild zu Lehrinhalten
7. [Linked Data](07_linked-data.md) (18.12.2020)
   - Metadaten anreichern mit OpenRefine und Wikidata
   - Suchanfragen mit SPARQL am Beispiel des Wikidata Query Service
   - Aktuelle Datenmodelle für Metadaten (BIBFRAME, RiC)
   - Empfehlenswerte Tutorials zum Selbstlernen

## Lerntagebücher

Als Prüfungsleistung schreiben Studierende Blogs, in denen sie von ihren Erkenntnissen berichten und sich mit den Inhalten des Seminars auseinandersetzen.

* [Giulia D'Amico](https://damicogiulia.github.io/BAIN-Blog/)
* [Regina Eicher](https://gins-ctrl.github.io/Lerntagebuch_HS20/)
* [Sandra Flückiger](https://fluecksandra.github.io)
* [Shanna Grütter](https://shannarachel.github.io/storys)
* [Martina Gubser](https://tinablabla.github.io/bainotes/)
* [Gaby Leuenberger](https://regrebneuel.github.io/bain-log/)
* [Charles Winkler](https://charleswinkler.github.io)
* [Remo Bischoff](https://remooda.github.io/bain/)

## Modulbeschreibung

Im Modul Bibliotheks- und Archivinformatik lernen die Studierenden die in Bibliotheken und Archiven eingesetzten Softwares und Technologien kennen. Funktionsweisen von Bibliothekskatalogen (bis hin zu Cloud-Konzepten), von Publikationsplattformen, Repositories etc. werden erläutert. Verschiedene Suchtechnologien werden analysiert und im Einsatz über unterschiedliche Datenbestände angewandt. Es wird gezeigt, wie Metadatenstandards und Austauschprotokolle eingesetzt und genutzt werden.

Nach erfolgreicher Teilnahme am Modul sind die Studierenden in der Lage:

* die Funktionsweise spezifischer Bibliothekssoftware zu verstehen
* die richtige Software für eine spezifische Aufgabe zu evaluieren
* Suchmaschinen zu konfigurieren
* Bibliothekarische und archivarische Metadaten (z.B. MARC, MARCXML, MODS, Dublin Core, EAD, BIBFRAME) zu modellieren und diese mit entsprechenden Protokollen / Anwendungen zu übertragen
* Crosswalks zwischen unterschiedlichen Metadatenformaten zu programmieren

## Skripte der Vorjahre

Frühlingssemester 2020:

* Zenodo: [10.5281/zenodo.3885498](https://doi.org/10.5281/zenodo.3885498)
* GitHub: [v3.0](https://github.com/felixlohmeier/bibliotheks-und-archivinformatik/releases/tag/v3.0)

Herbstsemester 2019:

* Zenodo: [10.5281/zenodo.3701841](https://doi.org/10.5281/zenodo.3701841)
* GitHub: [v2.0](https://github.com/felixlohmeier/bibliotheks-und-archivinformatik/releases/tag/v2.0)

Herbstsemester 2017:

* Zenodo: [10.5281/zenodo.3383051](https://doi.org/10.5281/zenodo.3383051)
* GitHub: [v1.0](https://github.com/felixlohmeier/bibliotheks-und-archivinformatik/releases/tag/v1.0)

## Lizenz

Dieses Werk ist lizenziert unter einer [Creative Commons Namensnennung 4.0 International Lizenz](http://creativecommons.org/licenses/by/4.0/)

[![Creative Commons Lizenzvertrag](images/cc-by-88x31.png)](http://creativecommons.org/licenses/by/4.0/)
